<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
    style="min-height: 600px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
    <span class="mask bg-gradient-danger opacity-8"></span>
    <div class="container-fluid d-flex align-items-center">
        <div class="row">
            <div class="col-lg-7 col-md-10">
            </div>
        </div>
    </div>
</div>
<div class="container-fluid mt--7" style="margin-top: -27rem !important;" >
    <div class="row">
        <div class="col-xl-12 order-xl-1" [ngStyle]="{'display': showBusinessProfile}">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">Your Business Details</h3>
                        </div>
                        <div class="col-4">
                            <button class="btn btn-danger float-right" (click)="OpenEditBusiness()" ><i class="fas fa-edit"></i></button>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-12 col-lg-6">
                            <div class="container">
                                <p> <strong style="font-weight: 600;">Occupation : </strong> {{occupation}} </p>
                            </div>
                            <div class="container">
                                <p> <strong style="font-weight: 600;">Business Type : </strong>{{business_type}}  </p>
                            </div>
                            <div class="container">
                                <p> <strong style="font-weight: 600;">GST : </strong>{{GST}}  </p>
                            </div>
                            <div class="container">
                                <p> <strong style="font-weight: 600;">TIN : </strong> {{TIN}} </p>
                            </div>
                            <div class="container">
                                <p> <strong style="font-weight: 600;">Business Mobile : </strong> {{business_mobile}} </p>
                            </div>
                            <div class="container">
                                <p> <strong style="font-weight: 600;">Business Email : </strong> {{business_email}} </p>
                            </div>
                            <div class="container">
                                <p> <strong style="font-weight: 600;">Business Address : </strong> {{business_address}} </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- edit business info -->
        <div class="col-xl-12 order-xl-1" [ngStyle]="{'display': editBusinessProfile}">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">Update Business Details</h3>
                        </div>
                        
                    </div>
                </div>
                <div class="card-body">
                    <h5 class="alert alert-danger text-center" *ngIf="ErrorMsg">{{ErrorMsg}}</h5>
                    <form [formGroup]="businessForm" (ngSubmit)="submitBusinessForm()">
                        <h6 class="heading-small text-muted mb-4">Bank Information</h6>
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="occupation">Occupation</label>
                                        <input type="text" id="occupation"
                                            class="form-control form-control-alternative" placeholder="Your Occupation"
                                            name="occupation" formControlName="occupation">
                                            <span class="text-danger" *ngIf="occupationField && occupationField.invalid && occupationField.touched">Invalid Occupation</span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="business_type">Business Type</label>
                                    <select class="form-control" id="business_type" name="business_type" formControlName="business_type">
                                      <option value="Retail">Retail</option>
                                      <option value="Wholesaler">Wholesaler</option>
                                      <option value="Agency">Agency</option>
                                      <option value="Manufactrure">Manufactrure</option>
                                    </select>
                                  </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="GST">GST</label>
                                        <input type="text" id="GST"
                                            class="form-control form-control-alternative" placeholder="GST Number"
                                            name="GST" formControlName="GST">
                                            <span class="text-danger" *ngIf="GSTField && GSTField.invalid && GSTField.touched">Invalid GST</span>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="TIN">TIN Number</label>
                                        <input type="text" id="TIN"
                                            class="form-control form-control-alternative"
                                            placeholder="TIN Number" name="TIN" formControlName="TIN">
                                            <span  class="text-danger" *ngIf="TINField && TINField.invalid && TINField.touched">Invalid TIN</span>

                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="business_mobile">Business Mobile Number</label>
                                        <input type="text" id="business_mobile" class="form-control form-control-alternative"
                                            placeholder="Business Mobile Number" name="business_mobile" formControlName="business_mobile">
                                            <span  class="text-danger" *ngIf="business_mobileField && business_mobileField.invalid && business_mobileField.touched">Invalid Mobile Number</span>

                                    </div>
                                </div>

                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="business_email">Business Email</label>
                                        <input type="email" id="business_email" class="form-control form-control-alternative"
                                            placeholder="Business Email" name="business_email" formControlName="business_email"> 
                                            <span class="text-danger" *ngIf="business_emailField && business_emailField.invalid && business_emailField.touched">Invalid Email</span>

                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="business_address">Business Address</label>
                                        <!-- <input type="text" id="business_address" class="form-control form-control-alternative"
                                            placeholder="Business Address" name="business_address" formControlName="business_address">  -->
                                            <input class="form-control form-control-alternative" formControlName="business_address" ngx-google-places-autocomplete [options]='options' #placesRef="ngx-places" (onAddressChange)="handleAddressChange($event)"/>

                                            <span class="text-danger" *ngIf="business_addressField && business_addressField.invalid && business_addressField.touched">Invalid Business Address</span>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="container text-center"><button class="btn btn-danger" type="submit" [disabled]="businessForm.invalid">Update Your Business</button></div>
                        <hr class="my-4" />
                    </form>
                </div>
            </div>
        </div>
        
    </div>
</div>